/src/ics-mr1/frameworks/base/libs/rs/scriptc/rs_time.rsh File Reference

- Overview
- Globals
- Structs

Data Structures | Typedefs | Functions
/src/ics-mr1/frameworks/base/libs/rs/scriptc/rs_time.rsh File Reference

## Data Structures
struct | rs_tm
## Typedefs
typedef int | rs_time_t
## Functions
rs_time_t | rsTime (rs_time_t *timer)
rs_tm * | rsLocaltime (rs_tm *local, const rs_time_t *timer)
int64_t | rsUptimeMillis (void)
int64_t | rsUptimeNanos (void)
float | rsGetDt (void)

## Detailed Description

Renderscript time routines.

This file contains Renderscript functions relating to time and date manipulation.

Definition in file rs_time.rsh.

## Typedef Documentation

typedef int rs_time_t

Calendar time interpreted as seconds elapsed since the Epoch (00:00:00 on January 1, 1970, Coordinated Universal Time (UTC)).

Definition at line 31 of file rs_time.rsh.

## Function Documentation

float rsGetDt | ( | void |  | ) |

Returns the time in seconds since this function was last called in this script.

Returns:
  Time in seconds.

rs_tm* rsLocaltime | ( | rs_tm * | local,
|  | const rs_time_t * | timer
| ) |  |

Converts the time specified by `timer` into broken-down time and stores it in `local`. This function also returns a pointer to `local`. If `local` is NULL, this function does nothing and returns NULL.

Parameters:

  local | Broken-down time.
  timer | Input time as calendar time.

Returns:
  Pointer to broken-down time (same as input `local`).

rs_time_t rsTime | ( | rs_time_t * | timer | ) |

Returns the number of seconds since the Epoch (00:00:00 UTC, January 1, 1970). If `timer` is non-NULL, the result is also stored in the memory pointed to by this variable. If an error occurs, a value of -1 is returned.

Parameters:

  timer | Location to also store the returned calendar time.

Returns:
  Seconds since the Epoch.

int64_t rsUptimeMillis | ( | void |  | ) |

Returns the current system clock (uptime) in milliseconds.

Returns:
  Uptime in milliseconds.

int64_t rsUptimeNanos | ( | void |  | ) |

Returns the current system clock (uptime) in nanoseconds.

Returns:
  Uptime in nanoseconds.